Package edu.wisc.game.web

## Class ResultsBase

- java.lang.Object
- - edu.wisc.game.web.ResultsBase

- Direct Known Subclasses:
    `ArithmeticResult`, `ContextInfo`, `ImageObjectReport`, `LaunchRulesBase`, `MlcMain`, `MlcManagerDashboard`

      public class ResultsBase
      extends Object

  The base of all "results object" classes used in JSP pages

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `String` | `displayName` | Same as nickname
    `String` | `infomsg` | The JSP page should always print this message.
    `String` | `uid` | The numeric user id (converted to string) associated with the current session, or null

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `exceptionTrace()` |
    `String` | `getDisplayText()` |
    `String` | `getErrmsg()` |
    `boolean` | `getError()` |
    `Exception` | `getEx()` |
    `protected void` | `giveError​(ResultsBase other)` | Propagate error from another class
    `protected void` | `giveError​(String msg)` | Sets the error flag and the error message
    `boolean` | `loggedIn()` |
    `void` | `setErrmsg​(String _errmsg)` |
    `void` | `setError​(boolean _error)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### infomsg

          public String infomsg

      The JSP page should always print this message. Most often it is just an empty string, anyway; but it may be used for debugging and status messages.

    - #### uid

          public String uid

      The numeric user id (converted to string) associated with the current session, or null

    - #### displayName

          public String displayName

      Same as nickname

  - ### Method Detail

    - #### getError

          public boolean getError()

    - #### setError

          public void setError​(boolean _error)

    - #### getErrmsg

          public String getErrmsg()

    - #### setErrmsg

          public void setErrmsg​(String _errmsg)

    - #### giveError

          protected void giveError​(String msg)

      Sets the error flag and the error message

    - #### giveError

          protected void giveError​(ResultsBase other)

      Propagate error from another class

    - #### loggedIn

          public boolean loggedIn()

    - #### getDisplayText

          public String getDisplayText()

    - #### getEx

          public Exception getEx()

    - #### exceptionTrace

          public String exceptionTrace()